> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Active Trading Plans

> Returns the caller's active trading plans with sale-progress figures.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-my-active-trading-plans
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-my-active-trading-plans:
    post:
      operationId: getMyActiveTradingPlans
      summary: Get My Active Trading Plans
      description: |-
        Returns the caller's active trading plans with sale-progress figures.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMyActiveTradingPlansRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyActiveTradingPlansResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyActiveTradingPlansRequest: {}
    GetMyActiveTradingPlansResponse:
      type: array
      items:
        type: object
        properties:
          tradingPlanID:
            type: string
          setUpDate:
            type: string
          grantName:
            type: string
          grantID:
            type: string
          token:
            type: string
            enum:
              - EURC
              - USDC
              - USDT
          minSalePrice:
            type: string
          tokensUnderPlan:
            type: string
          percentageOfGrantAllocatedToPlan:
            type: string
          tokenSold:
            type: string
          percentOfPlanAllocatedToTokenSold:
            type: string
          averageSalePrice:
            type: string
          nextUnlockDate:
            type: string
          daysUntilNextUnlock:
            type: integer
        required:
          - tradingPlanID
          - setUpDate
          - grantName
          - grantID
          - token
          - minSalePrice
          - tokensUnderPlan
          - percentageOfGrantAllocatedToPlan
          - tokenSold
          - percentOfPlanAllocatedToTokenSold
          - averageSalePrice
          - nextUnlockDate
          - daysUntilNextUnlock
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
